{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Action where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- | An action performed by a direct agent and indirect participants upon a direct object. Optionally happens at a location with the help of an inanimate instrument. The execution of the action may produce a result. Specific action sub-type documentation specifies the exact expectation of each argument/role.      <br/><br/>See also <a href=\"http://blog.schema.org/2014/04/announcing-schemaorg-actions.html\">blog post</a>      and <a href=\"http://schema.org/docs/actions.html\">Actions overview document</a>.

data Action

instance Show Action
instance Read Action
instance Eq Action
instance Typeable Action
instance MetaData Action