{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.AutomotiveBusiness where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.AutomotiveBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.AutoBodyShop
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.AutoDealer
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.AutoPartsStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.AutoRental
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.AutoRepair
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.AutoWash
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.GasStation
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MotorcycleDealer
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MotorcycleRepair

-- | Car repair, sales, or parts.
--
--   [@id@] AutomotiveBusiness
--
--   [@label@] Automotive Business
--
--   [@comment@] Car repair, sales, or parts.
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','AutomotiveBusiness','Thing','Place','LocalBusiness'@
--
--   [@subtypes@] @'AutoBodyShop','AutoDealer','AutoPartsStore','AutoRental','AutoRepair','AutoWash','GasStation','MotorcycleDealer','MotorcycleRepair'@
--
--   [@supertypes@] @'LocalBusiness'@
--
--   [@url@] <http://schema.org/AutomotiveBusiness>
data AutomotiveBusiness = AutomotiveBusiness { branchCode :: BranchCode
                                             , currenciesAccepted :: CurrenciesAccepted
                                             , openingHours :: OpeningHours
                                             , paymentAccepted :: PaymentAccepted
                                             , priceRange :: PriceRange
                                             , address :: Address
                                             , aggregateRating :: AggregateRating
                                             , alumni :: Alumni
                                             , areaServed :: AreaServed
                                             , award :: Award
                                             , brand :: Brand
                                             , contactPoint :: ContactPoint
                                             , department :: Department
                                             , dissolutionDate :: DissolutionDate
                                             , duns :: Duns
                                             , email :: Email
                                             , employee :: Employee
                                             , event :: Event
                                             , faxNumber :: FaxNumber
                                             , founder :: Founder
                                             , foundingDate :: FoundingDate
                                             , foundingLocation :: FoundingLocation
                                             , globalLocationNumber :: GlobalLocationNumber
                                             , hasOfferCatalog :: HasOfferCatalog
                                             , hasPOS :: HasPOS
                                             , isicV4 :: IsicV4
                                             , legalName :: LegalName
                                             , location :: Location
                                             , logo :: Logo
                                             , makesOffer :: MakesOffer
                                             , member :: Member
                                             , memberOf :: MemberOf
                                             , naics :: Naics
                                             , numberOfEmployees :: NumberOfEmployees
                                             , owns :: Owns
                                             , parentOrganization :: ParentOrganization
                                             , review :: Review
                                             , seeks :: Seeks
                                             , subOrganization :: SubOrganization
                                             , taxID :: TaxID
                                             , telephone :: Telephone
                                             , vatID :: VatID
                                             , additionalProperty :: AdditionalProperty
                                             , address :: Address
                                             , aggregateRating :: AggregateRating
                                             , branchCode :: BranchCode
                                             , containedInPlace :: ContainedInPlace
                                             , containsPlace :: ContainsPlace
                                             , event :: Event
                                             , faxNumber :: FaxNumber
                                             , geo :: Geo
                                             , globalLocationNumber :: GlobalLocationNumber
                                             , hasMap :: HasMap
                                             , isicV4 :: IsicV4
                                             , logo :: Logo
                                             , openingHoursSpecification :: OpeningHoursSpecification
                                             , photo :: Photo
                                             , review :: Review
                                             , telephone :: Telephone
                                             , additionalType :: AdditionalType
                                             , alternateName :: AlternateName
                                             , description :: Description
                                             , image :: Image
                                             , mainEntityOfPage :: MainEntityOfPage
                                             , name :: Name
                                             , potentialAction :: PotentialAction
                                             , sameAs :: SameAs
                                             , url :: Url
                                             }
                          deriving (Show, Read, Eq, Typeable)

instance MetaData AutomotiveBusiness where
  _label         = const "Automotive Business"
  _comment_plain = const "Car repair, sales, or parts."
  _comment       = const "Car repair, sales, or parts."
  _url           = const "http://schema.org/AutomotiveBusiness"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.AutomotiveBusiness.AutomotiveBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]
  _subtypes      = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.AutoBodyShop.AutoBodyShop)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.AutoDealer.AutoDealer)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.AutoPartsStore.AutoPartsStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.AutoRental.AutoRental)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.AutoRepair.AutoRepair)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.AutoWash.AutoWash)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.GasStation.GasStation)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MotorcycleDealer.MotorcycleDealer)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MotorcycleRepair.MotorcycleRepair)]
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]