{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.ExerciseAction where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Action
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PlayAction

-- | The act of participating in exertive activity for the purposes of improving health and fitness.
--
--   [@id@] ExerciseAction
--
--   [@label@] Exercise Action
--
--   [@comment@] The act of participating in exertive activity for the purposes of improving health and fitness.
--
--   [@ancestors@] @'Thing','Action','PlayAction'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'PlayAction'@
--
--   [@url@] <http://schema.org/ExerciseAction>
data ExerciseAction = ExerciseAction { distance :: Distance
                                     , exerciseCourse :: ExerciseCourse
                                     , exercisePlan :: ExercisePlan
                                     , exerciseRelatedDiet :: ExerciseRelatedDiet
                                     , exerciseType :: ExerciseType
                                     , fromLocation :: FromLocation
                                     , opponent :: Opponent
                                     , sportsActivityLocation :: SportsActivityLocation
                                     , sportsEvent :: SportsEvent
                                     , sportsTeam :: SportsTeam
                                     , toLocation :: ToLocation
                                     , audience :: Audience
                                     , event :: Event
                                     , actionStatus :: ActionStatus
                                     , agent :: Agent
                                     , endTime :: EndTime
                                     , error :: Error
                                     , instrument :: Instrument
                                     , location :: Location
                                     , object :: Object
                                     , participant :: Participant
                                     , result :: Result
                                     , startTime :: StartTime
                                     , target :: Target
                                     , additionalType :: AdditionalType
                                     , alternateName :: AlternateName
                                     , description :: Description
                                     , image :: Image
                                     , mainEntityOfPage :: MainEntityOfPage
                                     , name :: Name
                                     , potentialAction :: PotentialAction
                                     , sameAs :: SameAs
                                     , url :: Url
                                     }
                      deriving (Show, Read, Eq, Typeable)

instance MetaData ExerciseAction where
  _label         = const "Exercise Action"
  _comment_plain = const "The act of participating in exertive activity for the purposes of improving health and fitness."
  _comment       = const "The act of participating in exertive activity for the purposes of improving health and fitness."
  _url           = const "http://schema.org/ExerciseAction"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Action.Action)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PlayAction.PlayAction)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.PlayAction.PlayAction)]