{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.HealthAndBeautyBusiness where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HealthAndBeautyBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.BeautySalon
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.DaySpa
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HairSalon
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HealthClub
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.NailSalon
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.TattooParlor

-- | Health and beauty.
--
--   [@id@] HealthAndBeautyBusiness
--
--   [@label@] Health And Beauty Business
--
--   [@comment@] Health and beauty.
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','HealthAndBeautyBusiness','Thing','Place','LocalBusiness'@
--
--   [@subtypes@] @'BeautySalon','DaySpa','HairSalon','HealthClub','NailSalon','TattooParlor'@
--
--   [@supertypes@] @'LocalBusiness'@
--
--   [@url@] <http://schema.org/HealthAndBeautyBusiness>
data HealthAndBeautyBusiness = HealthAndBeautyBusiness { branchCode :: BranchCode
                                                       , currenciesAccepted :: CurrenciesAccepted
                                                       , openingHours :: OpeningHours
                                                       , paymentAccepted :: PaymentAccepted
                                                       , priceRange :: PriceRange
                                                       , address :: Address
                                                       , aggregateRating :: AggregateRating
                                                       , alumni :: Alumni
                                                       , areaServed :: AreaServed
                                                       , award :: Award
                                                       , brand :: Brand
                                                       , contactPoint :: ContactPoint
                                                       , department :: Department
                                                       , dissolutionDate :: DissolutionDate
                                                       , duns :: Duns
                                                       , email :: Email
                                                       , employee :: Employee
                                                       , event :: Event
                                                       , faxNumber :: FaxNumber
                                                       , founder :: Founder
                                                       , foundingDate :: FoundingDate
                                                       , foundingLocation :: FoundingLocation
                                                       , globalLocationNumber :: GlobalLocationNumber
                                                       , hasOfferCatalog :: HasOfferCatalog
                                                       , hasPOS :: HasPOS
                                                       , isicV4 :: IsicV4
                                                       , legalName :: LegalName
                                                       , location :: Location
                                                       , logo :: Logo
                                                       , makesOffer :: MakesOffer
                                                       , member :: Member
                                                       , memberOf :: MemberOf
                                                       , naics :: Naics
                                                       , numberOfEmployees :: NumberOfEmployees
                                                       , owns :: Owns
                                                       , parentOrganization :: ParentOrganization
                                                       , review :: Review
                                                       , seeks :: Seeks
                                                       , subOrganization :: SubOrganization
                                                       , taxID :: TaxID
                                                       , telephone :: Telephone
                                                       , vatID :: VatID
                                                       , additionalProperty :: AdditionalProperty
                                                       , address :: Address
                                                       , aggregateRating :: AggregateRating
                                                       , branchCode :: BranchCode
                                                       , containedInPlace :: ContainedInPlace
                                                       , containsPlace :: ContainsPlace
                                                       , event :: Event
                                                       , faxNumber :: FaxNumber
                                                       , geo :: Geo
                                                       , globalLocationNumber :: GlobalLocationNumber
                                                       , hasMap :: HasMap
                                                       , isicV4 :: IsicV4
                                                       , logo :: Logo
                                                       , openingHoursSpecification :: OpeningHoursSpecification
                                                       , photo :: Photo
                                                       , review :: Review
                                                       , telephone :: Telephone
                                                       , additionalType :: AdditionalType
                                                       , alternateName :: AlternateName
                                                       , description :: Description
                                                       , image :: Image
                                                       , mainEntityOfPage :: MainEntityOfPage
                                                       , name :: Name
                                                       , potentialAction :: PotentialAction
                                                       , sameAs :: SameAs
                                                       , url :: Url
                                                       }
                               deriving (Show, Read, Eq, Typeable)

instance MetaData HealthAndBeautyBusiness where
  _label         = const "Health And Beauty Business"
  _comment_plain = const "Health and beauty."
  _comment       = const "Health and beauty."
  _url           = const "http://schema.org/HealthAndBeautyBusiness"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HealthAndBeautyBusiness.HealthAndBeautyBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]
  _subtypes      = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.BeautySalon.BeautySalon)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.DaySpa.DaySpa)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HairSalon.HairSalon)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HealthClub.HealthClub)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.NailSalon.NailSalon)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.TattooParlor.TattooParlor)]
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]