{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Mountain where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Landform

-- | A mountain, like Mount Whitney or Mount Everest.
--
--   [@id@] Mountain
--
--   [@label@] Mountain
--
--   [@comment@] A mountain, like Mount Whitney or Mount Everest.
--
--   [@ancestors@] @'Thing','Place','Landform'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Landform'@
--
--   [@url@] <http://schema.org/Mountain>
data Mountain = Mountain { additionalProperty :: AdditionalProperty
                         , address :: Address
                         , aggregateRating :: AggregateRating
                         , branchCode :: BranchCode
                         , containedInPlace :: ContainedInPlace
                         , containsPlace :: ContainsPlace
                         , event :: Event
                         , faxNumber :: FaxNumber
                         , geo :: Geo
                         , globalLocationNumber :: GlobalLocationNumber
                         , hasMap :: HasMap
                         , isicV4 :: IsicV4
                         , logo :: Logo
                         , openingHoursSpecification :: OpeningHoursSpecification
                         , photo :: Photo
                         , review :: Review
                         , telephone :: Telephone
                         , additionalType :: AdditionalType
                         , alternateName :: AlternateName
                         , description :: Description
                         , image :: Image
                         , mainEntityOfPage :: MainEntityOfPage
                         , name :: Name
                         , potentialAction :: PotentialAction
                         , sameAs :: SameAs
                         , url :: Url
                         }
                deriving (Show, Read, Eq, Typeable)

instance MetaData Mountain where
  _label         = const "Mountain"
  _comment_plain = const "A mountain, like Mount Whitney or Mount Everest."
  _comment       = const "A mountain, like Mount Whitney or Mount Everest."
  _url           = const "http://schema.org/Mountain"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Landform.Landform)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Landform.Landform)]