{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Notary where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LegalService
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Notary
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place

-- | A notary.
--
--   [@id@] Notary
--
--   [@label@] Notary
--
--   [@comment@] A notary.
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','LegalService','Notary','Thing','Place','LocalBusiness','LegalService'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'LegalService'@
--
--   [@url@] <http://schema.org/Notary>
data Notary = Notary { branchCode :: BranchCode
                     , currenciesAccepted :: CurrenciesAccepted
                     , openingHours :: OpeningHours
                     , paymentAccepted :: PaymentAccepted
                     , priceRange :: PriceRange
                     , address :: Address
                     , aggregateRating :: AggregateRating
                     , alumni :: Alumni
                     , areaServed :: AreaServed
                     , award :: Award
                     , brand :: Brand
                     , contactPoint :: ContactPoint
                     , department :: Department
                     , dissolutionDate :: DissolutionDate
                     , duns :: Duns
                     , email :: Email
                     , employee :: Employee
                     , event :: Event
                     , faxNumber :: FaxNumber
                     , founder :: Founder
                     , foundingDate :: FoundingDate
                     , foundingLocation :: FoundingLocation
                     , globalLocationNumber :: GlobalLocationNumber
                     , hasOfferCatalog :: HasOfferCatalog
                     , hasPOS :: HasPOS
                     , isicV4 :: IsicV4
                     , legalName :: LegalName
                     , location :: Location
                     , logo :: Logo
                     , makesOffer :: MakesOffer
                     , member :: Member
                     , memberOf :: MemberOf
                     , naics :: Naics
                     , numberOfEmployees :: NumberOfEmployees
                     , owns :: Owns
                     , parentOrganization :: ParentOrganization
                     , review :: Review
                     , seeks :: Seeks
                     , subOrganization :: SubOrganization
                     , taxID :: TaxID
                     , telephone :: Telephone
                     , vatID :: VatID
                     , additionalProperty :: AdditionalProperty
                     , address :: Address
                     , aggregateRating :: AggregateRating
                     , branchCode :: BranchCode
                     , containedInPlace :: ContainedInPlace
                     , containsPlace :: ContainsPlace
                     , event :: Event
                     , faxNumber :: FaxNumber
                     , geo :: Geo
                     , globalLocationNumber :: GlobalLocationNumber
                     , hasMap :: HasMap
                     , isicV4 :: IsicV4
                     , logo :: Logo
                     , openingHoursSpecification :: OpeningHoursSpecification
                     , photo :: Photo
                     , review :: Review
                     , telephone :: Telephone
                     , additionalType :: AdditionalType
                     , alternateName :: AlternateName
                     , description :: Description
                     , image :: Image
                     , mainEntityOfPage :: MainEntityOfPage
                     , name :: Name
                     , potentialAction :: PotentialAction
                     , sameAs :: SameAs
                     , url :: Url
                     }
              deriving (Show, Read, Eq, Typeable)

instance MetaData Notary where
  _label         = const "Notary"
  _comment_plain = const "A notary."
  _comment       = const "A notary."
  _url           = const "http://schema.org/Notary"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LegalService.LegalService)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Notary.Notary)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LegalService.LegalService)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.LegalService.LegalService)]