{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Optician where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalOrganization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Optician
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place

-- | A store that sells reading glasses and similar devices for improving vision.
--
--   [@id@] Optician
--
--   [@label@] Optician
--
--   [@comment@] A store that sells reading glasses and similar devices for improving vision.
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','MedicalOrganization','Optician','Thing','Place','LocalBusiness','MedicalOrganization'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'MedicalOrganization'@
--
--   [@url@] <http://schema.org/Optician>
data Optician = Optician { branchCode :: BranchCode
                         , currenciesAccepted :: CurrenciesAccepted
                         , openingHours :: OpeningHours
                         , paymentAccepted :: PaymentAccepted
                         , priceRange :: PriceRange
                         , address :: Address
                         , aggregateRating :: AggregateRating
                         , alumni :: Alumni
                         , areaServed :: AreaServed
                         , award :: Award
                         , brand :: Brand
                         , contactPoint :: ContactPoint
                         , department :: Department
                         , dissolutionDate :: DissolutionDate
                         , duns :: Duns
                         , email :: Email
                         , employee :: Employee
                         , event :: Event
                         , faxNumber :: FaxNumber
                         , founder :: Founder
                         , foundingDate :: FoundingDate
                         , foundingLocation :: FoundingLocation
                         , globalLocationNumber :: GlobalLocationNumber
                         , hasOfferCatalog :: HasOfferCatalog
                         , hasPOS :: HasPOS
                         , isicV4 :: IsicV4
                         , legalName :: LegalName
                         , location :: Location
                         , logo :: Logo
                         , makesOffer :: MakesOffer
                         , member :: Member
                         , memberOf :: MemberOf
                         , naics :: Naics
                         , numberOfEmployees :: NumberOfEmployees
                         , owns :: Owns
                         , parentOrganization :: ParentOrganization
                         , review :: Review
                         , seeks :: Seeks
                         , subOrganization :: SubOrganization
                         , taxID :: TaxID
                         , telephone :: Telephone
                         , vatID :: VatID
                         , additionalProperty :: AdditionalProperty
                         , address :: Address
                         , aggregateRating :: AggregateRating
                         , branchCode :: BranchCode
                         , containedInPlace :: ContainedInPlace
                         , containsPlace :: ContainsPlace
                         , event :: Event
                         , faxNumber :: FaxNumber
                         , geo :: Geo
                         , globalLocationNumber :: GlobalLocationNumber
                         , hasMap :: HasMap
                         , isicV4 :: IsicV4
                         , logo :: Logo
                         , openingHoursSpecification :: OpeningHoursSpecification
                         , photo :: Photo
                         , review :: Review
                         , telephone :: Telephone
                         , additionalType :: AdditionalType
                         , alternateName :: AlternateName
                         , description :: Description
                         , image :: Image
                         , mainEntityOfPage :: MainEntityOfPage
                         , name :: Name
                         , potentialAction :: PotentialAction
                         , sameAs :: SameAs
                         , url :: Url
                         }
                deriving (Show, Read, Eq, Typeable)

instance MetaData Optician where
  _label         = const "Optician"
  _comment_plain = const "A store that sells reading glasses and similar devices for improving vision."
  _comment       = const "A store that sells reading glasses and similar devices for improving vision."
  _url           = const "http://schema.org/Optician"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalOrganization.MedicalOrganization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Optician.Optician)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalOrganization.MedicalOrganization)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalOrganization.MedicalOrganization)]