{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.SportsTeam where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type hiding (SportsTeam)
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.SportsOrganization

-- | Organization: Sports team.
--
--   [@id@] SportsTeam
--
--   [@label@] Sports Team
--
--   [@comment@] Organization: Sports team.
--
--   [@ancestors@] @'Thing','Organization','SportsOrganization'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'SportsOrganization'@
--
--   [@url@] <http://schema.org/SportsTeam>
data SportsTeam = SportsTeam { athlete :: Athlete
                             , coach :: Coach
                             , sport :: Sport
                             , address :: Address
                             , aggregateRating :: AggregateRating
                             , alumni :: Alumni
                             , areaServed :: AreaServed
                             , award :: Award
                             , brand :: Brand
                             , contactPoint :: ContactPoint
                             , department :: Department
                             , dissolutionDate :: DissolutionDate
                             , duns :: Duns
                             , email :: Email
                             , employee :: Employee
                             , event :: Event
                             , faxNumber :: FaxNumber
                             , founder :: Founder
                             , foundingDate :: FoundingDate
                             , foundingLocation :: FoundingLocation
                             , globalLocationNumber :: GlobalLocationNumber
                             , hasOfferCatalog :: HasOfferCatalog
                             , hasPOS :: HasPOS
                             , isicV4 :: IsicV4
                             , legalName :: LegalName
                             , location :: Location
                             , logo :: Logo
                             , makesOffer :: MakesOffer
                             , member :: Member
                             , memberOf :: MemberOf
                             , naics :: Naics
                             , numberOfEmployees :: NumberOfEmployees
                             , owns :: Owns
                             , parentOrganization :: ParentOrganization
                             , review :: Review
                             , seeks :: Seeks
                             , subOrganization :: SubOrganization
                             , taxID :: TaxID
                             , telephone :: Telephone
                             , vatID :: VatID
                             , additionalType :: AdditionalType
                             , alternateName :: AlternateName
                             , description :: Description
                             , image :: Image
                             , mainEntityOfPage :: MainEntityOfPage
                             , name :: Name
                             , potentialAction :: PotentialAction
                             , sameAs :: SameAs
                             , url :: Url
                             }
                  deriving (Show, Read, Eq, Typeable)

instance MetaData SportsTeam where
  _label         = const "Sports Team"
  _comment_plain = const "Organization: Sports team."
  _comment       = const "Organization: Sports team."
  _url           = const "http://schema.org/SportsTeam"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.SportsOrganization.SportsOrganization)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.SportsOrganization.SportsOrganization)]